<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KPlotObject</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KPlotObject Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>



<h2>Detailed Description</h2>

<p>KPlotObject
Encapsulates a data set to be plotted in a KPlotWidget.
</p>
<p>
Think of a KPlotObject as a set of data displayed as a group in the plot.
Each KPlotObject consists of a list of KPlotPoints, a "type" controlling
how the data points are displayed (some combination of Points, Lines, or
Bars), a color, and a size. There is also a parameter which controls the
shape of the points used to display the KPlotObject.
</p>
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd> KPlotObject will take care of the points added to it, so when clearing
the points list (eg with clearPoints()) any previous reference to a KPlotPoint
already added to a KPlotObject will be invalid.
</dd></dl> </p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Jason Harris </dd></dl>
<b>Version:</b> 1.1
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj191134892">PlotType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;UnknownType, Points, Lines, Bars&nbsp;}<br><i>Typesafe wrapper:</i> PlotTypes</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj191134668">PointStyle</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoPoints, Circle, Letter, Triangle, Square, Pentagon, Hexagon, Asterisk, Star, UnknwonPoint&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191144588">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qcolor.html">QColor</a> color=Qt.white, KPlotObject.PlotType otype=KPlotObject.Points, float size=2, KPlotObject.PointStyle ps=KPlotObject.Circle)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191194124">__init__</a> (self, <a href="../kdeui/KPlotObject.html">KPlotObject</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191177708">addPoint</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpointf.html">QPointF</a> p, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> label=QString(), float barWidth=0.0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191178700">addPoint</a> (self, <a href="../kdeui/KPlotPoint.html">KPlotPoint</a> p)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191179212">addPoint</a> (self, float x, float y, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> label=QString(), float barWidth=0.0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbrush.html">QBrush</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191165164">barBrush</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191164748">barPen</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbrush.html">QBrush</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191165932">brush</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191180780">clearPoints</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191180684">draw</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpainter.html">QPainter</a> p, <a href="../kdeui/KPlotWidget.html">KPlotWidget</a> pw)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191165772">labelPen</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191159596">linePen</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191157964">pen</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KPlotObject.PlotTypes&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191146380">plotTypes</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KPlotObject.PointStyle&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191157740">pointStyle</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[KPlotPoin]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191168268">points</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191180236">removePoint</a> (self, int index)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191168364">setBarBrush</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbrush.html">QBrush</a> b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191158956">setBarPen</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a> p)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191167372">setBrush</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbrush.html">QBrush</a> b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191166284">setLabelPen</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a> p)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191160108">setLinePen</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a> p)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191159116">setPen</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a> p)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191158060">setPointStyle</a> (self, KPlotObject.PointStyle p)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191147852">setShowBars</a> (self, bool b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191147308">setShowLines</a> (self, bool b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191146732">setShowPoints</a> (self, bool b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191157068">setSize</a> (self, float s)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191156620">size</a> (self)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj191144588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qcolor.html">QColor</a>&nbsp;</td>
<td class="paramname"><em>color=Qt.white</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KPlotObject.PlotType&nbsp;</td>
<td class="paramname"><em>otype=KPlotObject.Points</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>size=2</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KPlotObject.PointStyle&nbsp;</td>
<td class="paramname"><em>ps=KPlotObject.Circle</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructor.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>color</em>&nbsp;</td><td> The color for plotting this object. By default this sets
the color for Points, Lines and Bars, but there are functions to
override any of these.

<tr><td></td><td valign="top"><em>otype</em>&nbsp;</td><td> the PlotType for this object (Points, Lines or Bars)

<tr><td></td><td valign="top"><em>size</em>&nbsp;</td><td> the size to use for plotted points, in pixels

<tr><td></td><td valign="top"><em>ps</em>&nbsp;</td><td> The PointStyle describing the shape for plotted points
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191194124"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KPlotObject.html">KPlotObject</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191177708"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addPoint</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpointf.html">QPointF</a>&nbsp;</td>
<td class="paramname"><em>p</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>label=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>barWidth=0.0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Add a point to the object's list of points, using input data to construct a KPlotPoint.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>p</em>&nbsp;</td><td> the QPointF to add.

<tr><td></td><td valign="top"><em>label</em>&nbsp;</td><td> the optional text label for this point

<tr><td></td><td valign="top"><em>barWidth</em>&nbsp;</td><td> the width of the bar, if this object is to be drawn with bars
</td></tr> </table></dl>
<p> <dl class="note" compact><dt><b>Note:</b></dt><dd> if 
<tr><td></td><td valign="top"><em>barWidth</em>&nbsp;</td><td> is left at its default value of 0.0, then the width will be
automatically set to the distance between this point and the one to its right.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191178700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addPoint</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KPlotPoint.html">KPlotPoint</a>&nbsp;</td>
<td class="paramname"><em>p</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Add a given KPlotPoint to the object's list of points.

</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>p</em>&nbsp;</td><td> pointer to the KPlotPoint to add.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191179212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addPoint</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>x</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>y</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>label=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>barWidth=0.0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Add a point to the object's list of points, using input data to construct a KPlotPoint.

</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>x</em>&nbsp;</td><td> the X-coordinate of the point to add.

<tr><td></td><td valign="top"><em>y</em>&nbsp;</td><td> the Y-coordinate of the point to add.

<tr><td></td><td valign="top"><em>label</em>&nbsp;</td><td> the optional text label

<tr><td></td><td valign="top"><em>barWidth</em>&nbsp;</td><td> the width of the bar, if this object is to be drawn with bars
</td></tr> </table></dl>
<p> <dl class="note" compact><dt><b>Note:</b></dt><dd> if 
<tr><td></td><td valign="top"><em>barWidth</em>&nbsp;</td><td> is left at its default value of 0.0, then the width will be
automatically set to the distance between this point and the one to its right.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191165164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbrush.html">QBrush</a> barBrush</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the brush to use for filling bars for this Object.
</dd></dl>
</p></div></div><a class="anchor" name="obj191164748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a> barPen</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the pen to use for drawing bars for this Object.
</dd></dl>
</p></div></div><a class="anchor" name="obj191165932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbrush.html">QBrush</a> brush</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the default Brush to use for this Object.
</dd></dl>
</p></div></div><a class="anchor" name="obj191180780"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clearPoints</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Remove and destroy the points of this object
</p></div></div><a class="anchor" name="obj191180684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> draw</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpainter.html">QPainter</a>&nbsp;</td>
<td class="paramname"><em>p</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KPlotWidget.html">KPlotWidget</a>&nbsp;</td>
<td class="paramname"><em>pw</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Draw this KPlotObject on the given QPainter
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>p</em>&nbsp;</td><td> The QPainter to draw on

<tr><td></td><td valign="top"><em>pw</em>&nbsp;</td><td> the KPlotWidget to draw on (this is needed
for the KPlotWidget.mapToWidget() function)
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191165772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a> labelPen</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the pen to use for drawing labels for this Object.
</dd></dl>
</p></div></div><a class="anchor" name="obj191159596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a> linePen</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the pen to use for drawing lines for this Object.
</dd></dl>
</p></div></div><a class="anchor" name="obj191157964"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a> pen</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the default pen for this Object.
If no other pens are set, this pen will be used for
points, lines, bars and labels (this pen is always used for points).
</dd></dl>
</p></div></div><a class="anchor" name="obj191146380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KPlotObject.PlotTypes plotTypes</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the plot flags of the object
</dd></dl>
</p></div></div><a class="anchor" name="obj191157740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KPlotObject.PointStyle pointStyle</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the style used for drawing the points in this object
</dd></dl>
</p></div></div><a class="anchor" name="obj191168268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[KPlotPoin] points</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of KPlotPoints that make up this object
</dd></dl>
</p></div></div><a class="anchor" name="obj191180236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> removePoint</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>index</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Remove the QPointF at position index from the list of points
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>index</em>&nbsp;</td><td> the index of the point to be removed.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191168364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setBarBrush</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbrush.html">QBrush</a>&nbsp;</td>
<td class="paramname"><em>b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the brush to use for drawing bars for this object
<b>The</b> brush to use
</p></div></div><a class="anchor" name="obj191158956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setBarPen</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a>&nbsp;</td>
<td class="paramname"><em>p</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the pen to use for drawing bars for this object
<b>The</b> pen to use
</p></div></div><a class="anchor" name="obj191167372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setBrush</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbrush.html">QBrush</a>&nbsp;</td>
<td class="paramname"><em>b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the default brush to use for this object
<b>The</b> brush to use
</p></div></div><a class="anchor" name="obj191166284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setLabelPen</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a>&nbsp;</td>
<td class="paramname"><em>p</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the pen to use for labels for this object
<b>The</b> pen to use
</p></div></div><a class="anchor" name="obj191160108"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setLinePen</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a>&nbsp;</td>
<td class="paramname"><em>p</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the pen to use for drawing lines for this object
<b>The</b> pen to use
</p></div></div><a class="anchor" name="obj191159116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setPen</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpen.html">QPen</a>&nbsp;</td>
<td class="paramname"><em>p</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the default pen for this object
<b>The</b> pen to use
</p></div></div><a class="anchor" name="obj191158060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setPointStyle</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KPlotObject.PointStyle&nbsp;</td>
<td class="paramname"><em>p</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set a new style for drawing the points in this object
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>p</em>&nbsp;</td><td> the new style
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191147852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setShowBars</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set whether bars will be drawn for this object
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>b</em>&nbsp;</td><td> if true, bars will be drawn
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191147308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setShowLines</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set whether lines will be drawn for this object
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>b</em>&nbsp;</td><td> if true, lines will be drawn
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191146732"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setShowPoints</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set whether points will be drawn for this object
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>b</em>&nbsp;</td><td> if true, points will be drawn
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191157068"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setSize</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>s</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the size for plotted points in this object, in pixels
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>s</em>&nbsp;</td><td> the new size
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191156620"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">float size</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the size of the plotted points in this object, in pixels
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj191134892"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">PlotType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The type classification of the KPlotObject.
</p>
<p>
These are bitmask values that can be OR'd together, so that a set
of points can be represented in the plot in multiple ways.
</p>
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd> points should be added in order of increasing x-coordinate
when using Bars.
</dd></dl>
</p><dl compact><dt><b>Note:</b></dt><dd>It is necessary to wrap members of this enumeration in a <code>PlotTypes</code> instance when passing them to a method as group of flags. For example: <code>PlotTypes( UnknownType | Points)</code></dd></dl><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>UnknownType</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Points</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>Lines</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>Bars</em>&nbsp;=&nbsp;4</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj191134668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">PointStyle</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The available shape styles for plotted points.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoPoints</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Circle</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>Letter</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>Triangle</em>&nbsp;=&nbsp;3</td><td><tr><td valign="top"><em>Square</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>Pentagon</em>&nbsp;=&nbsp;5</td><td><tr><td valign="top"><em>Hexagon</em>&nbsp;=&nbsp;6</td><td><tr><td valign="top"><em>Asterisk</em>&nbsp;=&nbsp;7</td><td><tr><td valign="top"><em>Star</em>&nbsp;=&nbsp;8</td><td><tr><td valign="top"><em>UnknwonPoint</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
